Acknowledge queue messages
curl --request POST \
--url https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destinationId": "<string>",
"messageIds": [
"<string>"
]
}
'import requests
url = "https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack"
payload = {
"destinationId": "<string>",
"messageIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({destinationId: '<string>', messageIds: ['<string>']})
};
fetch('https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'destinationId' => '<string>',
'messageIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack"
payload := strings.NewReader("{\n \"destinationId\": \"<string>\",\n \"messageIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destinationId\": \"<string>\",\n \"messageIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"destinationId\": \"<string>\",\n \"messageIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"acked": 123
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Acknowledge queue messages
Remove processed CoreWeave Alerts from a queue destination.
POST
/
v1
/
notifications
/
queues
/
{destinationId}
/
messages
/
ack
Acknowledge queue messages
curl --request POST \
--url https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destinationId": "<string>",
"messageIds": [
"<string>"
]
}
'import requests
url = "https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack"
payload = {
"destinationId": "<string>",
"messageIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({destinationId: '<string>', messageIds: ['<string>']})
};
fetch('https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'destinationId' => '<string>',
'messageIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack"
payload := strings.NewReader("{\n \"destinationId\": \"<string>\",\n \"messageIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destinationId\": \"<string>\",\n \"messageIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coreweave.com/v1/notifications/queues/{destinationId}/messages/ack")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"destinationId\": \"<string>\",\n \"messageIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"acked": 123
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Requires the Alerts Admin role.
Send between 1 and 500 message IDs from
List queue messages.
The request skips IDs that were already acknowledged or that expired, so
acked can be
lower than the number of IDs you sent.
Example request
curl -X POST https://api.coreweave.com/v1/notifications/queues/[DESTINATION-ID]/messages/ack \
-H "Authorization: Bearer [API-ACCESS-TOKEN]" \
-H "Content-Type: application/json" \
-d '{"messageIds": ["[MESSAGE-ID]"]}'
Authorizations
CoreWeave API access token sent as a bearer token.
Path Parameters
Body
application/json
Response
OK
The number of messages removed from the queue.
Was this page helpful?